Loading...
Searching...
No Matches
sun.c File Reference

## Macros

#define | _(String)
#define | LINUX_SWAP_ID 0x82
#define | SUN_DISK_MAGIC 0xDABE /* Disk magic number */
#define | SUN_DISK_MAXPARTITIONS 8
#define | SUN_VTOC_SANITY 0x600DDEEE
#define | SUN_VTOC_VERSION 1
#define | WHOLE_DISK_ID 0x05
#define | WHOLE_DISK_PART 2 /* as in 0, 1, 2 (3rd partition) */

## Typedefs

typedef struct _SunDiskData | SunDiskData
typedef struct _SunPartitionData | SunPartitionData
typedef struct _SunPartitionInfo | SunPartitionInfo
typedef struct _SunRawLabel | SunRawLabel
typedef struct _SunRawPartition | SunRawPartition

## Functions

struct | __attribute__ ((packed))
struct | __attribute__ ((packed, aligned(2)))
void | ped_disk_sun_done ()
void | ped_disk_sun_init ()
| PT_define_limit_functions (sun)

## Macro Definition Documentation

## _

#define _ | ( |  | String | ) |

Value:
(String)

## LINUX_SWAP_ID

#define LINUX_SWAP_ID 0x82

## SUN_DISK_MAGIC

#define SUN_DISK_MAGIC 0xDABE /* Disk magic number */

## SUN_DISK_MAXPARTITIONS

#define SUN_DISK_MAXPARTITIONS 8

## SUN_VTOC_SANITY

#define SUN_VTOC_SANITY 0x600DDEEE

## SUN_VTOC_VERSION

#define SUN_VTOC_VERSION 1

## WHOLE_DISK_ID

#define WHOLE_DISK_ID 0x05

## WHOLE_DISK_PART

#define WHOLE_DISK_PART 2 /* as in 0, 1, 2 (3rd partition) */

## Typedef Documentation

## SunDiskData

typedef struct _SunDiskData SunDiskData

## SunPartitionData

typedef struct _SunPartitionData SunPartitionData

## SunPartitionInfo

typedef struct _SunPartitionInfo SunPartitionInfo

## SunRawLabel

typedef struct _SunRawLabel SunRawLabel

## SunRawPartition

typedef struct _SunRawPartition SunRawPartition

## Function Documentation

## __attribute__() [1/2]

struct __attribute__ | ( | (packed) |  | ) |

## __attribute__() [2/2]

struct __attribute__ | ( | (packed, aligned(2)) |  | ) |

## ped_disk_sun_done()

void ped_disk_sun_done | ( |  | ) |

## ped_disk_sun_init()

void ped_disk_sun_init | ( |  | ) |

## PT_define_limit_functions()

PT_define_limit_functions | ( | sun |  | ) |